# discreb: function to discretize in 5 points a continuous variable
# 
# Arguments : X     -> continuous data 
#             THRES -> THRESHOLDS 
#             

discreB <- function(X, THRES){
  n <- nrow(X)
  k <- nrow(THRES)
  
  Y <- zeros(n,m)
  for(i in 1:n){
    for(j in 1:m){
      Y[i,j] <- k +1
      for(h in 1:k){
        if((X[i,j]) <(THRES[h,j])){
          Y[i,j] <- h
          break
        }
      }
    }
  }
  return(Y)
}